body {
    margin: 0;
    font-family: Arial, sans-serif;
    background: #1a1a1a;
    color: #f0f0f0;
}

/* TOP MENU */ 
.top-menu { 
	background: #2a2a2a; 
	padding: 10px 20px; 
	display: flex; gap: 15px; 
} 

.top-menu a { 
	color: #f0f0f0; 
	text-decoration: none; 
	font-weight: bold; 
	padding: 6px 12px; 
	border-radius: 6px; 
} 
.top-menu a:hover { 
	background: gold; 
	color: black; 
}

/* CONTAINER */
.casting-container {
    max-width: 1100px;
    margin: 30px auto;
    padding: 0 20px;
    display: grid;
    grid-template-columns: 1fr 1.5fr;
    gap: 25px;
}

/* IMAGE */
.casting-image {
    position: relative;
}

.casting-image img {
    width: 100%;
    height:100%;
    border-radius: 12px;
    aspect-ratio: 16 / 9;
    object-fit: cover;
}

/* BADGES */
.badge {
    position: absolute;
    top: 10px;
    padding: 4px 8px;
    font-size: 12px;
    border-radius: 4px;
    font-weight: bold;
}

.badge.gold {
    left: 10px;
    background: gold;
    color: black;
}

.badge.red {
    right: 10px;
    background: crimson;
    color: white;
}

/* INFO */
.casting-info h1 {
    margin-top: 0;
    font-size: 28px;
}

.meta {
    color: #ccc;
    margin-bottom: 15px;
}

/* ACTIONS */
.actions button {
    margin-right: 10px;
    margin-bottom: 10px;
}

/* QUICK INFO */
.quick-info {
    margin-top: 15px;
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
    font-size: 14px;
}

/* BUTTONS */
button {
    padding: 10px 16px;
    border: none;
    border-radius: 6px;
    cursor: pointer;
    font-weight: bold;
}

.btn-primary {
    background: gold;
    color: black;
}

.btn-secondary {
    background: transparent;
    border: 1px solid #ccc;
    color: #f0f0f0;
}

.btn-thirdary {
    background: #6699FF;
    color: black;
}

button:hover {
    transform: translateY(-2px);
}

/* CONTENT */
.casting-content {
    max-width: 1100px;
    margin: 20px auto;
    padding: 0 20px;
}

.content-grid {
    display: grid;
    grid-template-columns: 2fr 1fr;
    gap: 30px;
}

.main h2 {
    margin-top: 20px;
}

.main p {
    color: #ccc;
}

.main ul {
    padding-left: 20px;
}

/* SIDEBAR */
.card {
    background: #2e2e2e;
    padding: 15px;
    border-radius: 10px;
    margin-bottom: 15px;
}

/* CTA */
.cta {
    text-align: center;
    padding: 40px;
    background: #2a2a2a;
}

/* FOOTER */
footer {
    text-align: center;
    padding: 20px;
    background: #1f1f1f;
    color: #ccc;
}

/* RESPONSIVE */
@media(max-width: 900px) {
    .casting-container {
        grid-template-columns: 1fr;
    }

    .content-grid {
        grid-template-columns: 1fr;
    }
}